%global pypi_name ordered-set
%global dir_name ordered_set

Name:           python-%{pypi_name}
Version:        4.1.0
Release:        %mkrel 2
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python
License:        MIT
URL:            https://github.com/LuminosoInsight/ordered-set
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(nose)

%description
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

%package -n python3-%{pypi_name}
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

%prep
%setup -qn %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf ordered_set.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license MIT-LICENSE
%doc README.md
%{python3_sitelib}/%{dir_name}/
%{python3_sitelib}/*egg-info/


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 4.1.0-2.mga9
+ Revision: 1824707
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 wally <wally> 4.1.0-1.mga9
+ Revision: 1774164
- new version 4.1.0
- rebuild for python3.10

* Mon Mar 15 2021 wally <wally> 4.0.2-1.mga9
+ Revision: 1703121
- new version 4.0.2
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.1-3.mga8
+ Revision: 1530994
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 3.1-2.mga8
+ Revision: 1438322
- rebuild for python3.8
- drop python2 support

* Sun Apr 21 2019 wally <wally> 3.1-1.mga7
+ Revision: 1394209
- new version 3.1

* Sat Jan 05 2019 wally <wally> 2.0.0-7.mga7
+ Revision: 1349824
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-6.mga7
+ Revision: 1289499
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.0.0-5.mga7
+ Revision: 1135527
- Rebuild for python 3.6

* Wed May 11 2016 ngompa <ngompa> 2.0.0-4.mga6
+ Revision: 1013095
- imported package python-ordered-set


* Wed May 11 2016 Neal Gompa <ngompa13@gmail.com> - 2.0.0-4
- Port to Mageia

* Tue Feb 09 2016 Miroslav Suchý <miroslav@suchy.cz> 2.0.0-3
- fix BR condition

* Tue Feb 09 2016 Miroslav Suchý <miroslav@suchy.cz> 2.0.0-2
- add BR python-nose for test

* Tue Feb 09 2016 Miroslav Suchý <miroslav@suchy.cz> 2.0.0-1
- rebase to 2.0.0

* Tue Sep 22 2015 Miroslav Suchý <msuchy@redhat.com> 1.3.1-4
- add missing BR on el6
- add missing macro on el6

* Mon Sep 07 2015 Miroslav Suchý <msuchy@redhat.com> 1.3.1-3
- include egg-info again
- fix typo

* Mon Sep 07 2015 Miroslav Suchý <msuchy@redhat.com> 1.3.1-2
- exclude __pycache__/ from filelist

* Mon Sep 07 2015 Miroslav Suchý <msuchy@redhat.com> 1.3.1-1
- new package

